# Uses of Class
java.net.Inet4Address

Packages that use Inet4Address
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of Inet4Address in java.net

Methods in java.net that return Inet4Address
Modifier and Type
Method
Description
`static Inet4Address`
Inet4Address.`ofLiteral(String ipv4AddressLiteral)`
Creates an `Inet4Address` based on the provided textual representation of an IPv4 address.
`static Inet4Address`
Inet4Address.`ofPosixLiteral(String posixIPAddressLiteral)`
Creates an `Inet4Address` based on the provided textual representation of an IPv4 address in POSIX `inet_addr` compatible form.